import { api } from '@/utils'


export const RECEIVE_MY_COURSES = 'RECEIVE_MY_COURSES'
export const receiveMyCourses = payload => ({
    type: RECEIVE_MY_COURSES,
    payload
})


export const getMyCourses = payload => dispatch => {
    return api.get(`/m/my_course/${payload.page}/${payload.num}`)
        .then(res => {
            dispatch(receiveMyCourses(res.data))
        })
}


const NUM_INTERVAL = 10
export const fetchCoursesListIfNeeded = payload => (dispatch, getState) => {
    const {shouldFetch, currentPage, currentNum} = getState().myCourses
    if(!shouldFetch){
        dispatch(getMyCourses)
    }
}


export const INVALIDATE_COURSEDATA = 'INVALIDATE_COURSEDATA'
export const invalidateCourseDate = () => ({
    type: INVALIDATE_COURSEDATA
})

